SFML 3.1.0
Loading...
Searching...
No Matches
Public Types | Public Attributes | List of all members
sf::Sftp::SessionInfo::HostKey Struct Reference

Host key used to identify a host. More...

`#include <SFML/Network/Sftp.hpp>`

## Public Types
enum class | Type { Unknown , Rsa , Dsa , Ecdsa256 , Ecdsa384 , Ecdsa521 , Ed25519 }

## Public Attributes
Type | type = Type::Unknown
| Host key type.
std::vector< std::byte > | data
| Host key data.
std::array< std::byte, 20 > | sha1 {}
| Host key SHA1 hash.
std::array< std::byte, 32 > | sha256 {}
| Host key SHA256 hash.

## Detailed Description

Host key used to identify a host.

Definition at line 310 of file Sftp.hpp.

## Member Enumeration Documentation

## ◆ Type

enum class sf::Sftp::SessionInfo::HostKey::Type
| strong

Enumerator
Unknown | Unknown key type.
Rsa | RSA.
Dsa | DSA.
Ecdsa256 | NIST P-256 ECDSA.
Ecdsa384 | NIST P-384 ECDSA.
Ecdsa521 | NIST P-521 ECDSA.
Ed25519 | ED25519.

Definition at line 312 of file Sftp.hpp.

## Member Data Documentation

## ◆ data

std::vector<std::byte> sf::Sftp::SessionInfo::HostKey::data

Host key data.

Definition at line 324 of file Sftp.hpp.

## ◆ sha1

std::array<std::byte, 20> sf::Sftp::SessionInfo::HostKey::sha1 {}

Host key SHA1 hash.

Definition at line 325 of file Sftp.hpp.

## ◆ sha256

std::array<std::byte, 32> sf::Sftp::SessionInfo::HostKey::sha256 {}

Host key SHA256 hash.

Definition at line 326 of file Sftp.hpp.

## ◆ type

Type sf::Sftp::SessionInfo::HostKey::type = Type::Unknown

Host key type.

Definition at line 323 of file Sftp.hpp.

The documentation for this struct was generated from the following file:

- Sftp.hpp